Name:           mingw-nsiswrapper
Version:        10
Release:        %mkrel 7
Summary:        Helper program for making NSIS Windows installers
Group:          Development/Other

License:        GPLv2+
URL:            http://fedoraproject.org/wiki/MinGW

Source0:        nsiswrapper.pl
Source1:        README
Source2:        COPYING

BuildArch:      noarch

BuildRequires:  perl


%description
NSISWrapper is a helper program for making Windows installers,
particularly when you are cross-compiling from Unix.

NSIS (a separate package) is a program for building Windows
installers.  This wrapper simply makes it easier to generate the
installer script that NSIS needs.


%package -n mingw32-nsiswrapper
Summary:        Helper program for making NSIS Windows installers
Requires:       mingw32-binutils
Requires:       mingw32-nsis

%description -n mingw32-nsiswrapper
NSISWrapper is a helper program for making Windows installers,
particularly when you are cross-compiling from Unix.

NSIS (a separate package) is a program for building Windows
installers.  This wrapper simply makes it easier to generate the
installer script that NSIS needs.


%prep
# empty


%build
# empty


%check
perl -Tc %{SOURCE0}


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/nsiswrapper

# Install documentation (manually).
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 0644 %{SOURCE1} %{SOURCE2} \
  $RPM_BUILD_ROOT%{_docdir}/%{name}

# Build the manpage from the source.
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
pod2man -c "NSIS" -r "%{name}-%{version}" %{SOURCE0} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/nsiswrapper.1


%files -n mingw32-nsiswrapper
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/README
%{_bindir}/nsiswrapper
%{_mandir}/man1/nsiswrapper.1*




%changelog
* Wed Feb 03 2016 umeabot <umeabot> 10-7.mga6
+ Revision: 934023
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 10-6.mga5
+ Revision: 750117
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 10-5.mga5
+ Revision: 682500
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 10-4.mga4
+ Revision: 547733
- imported package mingw-nsiswrapper


* Tue Aug  6 2013 Richard W.M. Jones <rjones@redhat.com> - 10-4
- Unversioned docdir in Fedora 20 (RHBZ#993912).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 10-2
- Perl 5.18 rebuild

* Sat Jul 13 2013 Richard W.M. Jones <rjones@redhat.com> - 10-1
- Generate the list of DLLs programmatically (RHBZ#856354).
- Remove 'Group' line, unnecessary for modern RPM.
- Add simple check section.

* Fri Feb 22 2013 Ivan Romanov <drizt@land.ru> - 9-6
- pod2man now is in perl-podlators (#914187)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 9-3
- Renamed the source package to mingw-nsiswrapper (#801007)

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 9-1
- Made the package compatible with the mingw-w64 toolchain
- Dropped unneeded RPM tags

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct  7 2011 Romanov Ivan <drizt@land.ru> - 8-1
- Use $PgrogramFiles as default install path (RHBZ#743002)

* Wed Sep 28 2011 Richard W.M. Jones <rjones@redhat.com> - 7-1
- Don't apply lowercase to Qt library names (thanks Ivan Romanov).

* Thu May 19 2011 Richard W.M. Jones <rjones@redhat.com> - 6-1
- Patched for new location of libgdk-pixbuf loaders (RHBZ#706219).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 21 2009 Richard W.M. Jones <rjones@redhat.com> - 5-1
- Add dnsapi.dll to list of system libraries (RHBZ#548965).

* Mon Oct 12 2009 Adam Tkac <atkac redhat com> - 4-4
- add version.dll to list of system libraries (#528467)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul  5 2009 Richard W.M. Jones <rjones@redhat.com> - 4-2
- Add runtime requires mingw32-binutils (RHBZ#509747).

* Tue Jun  9 2009 Richard W.M. Jones <rjones@redhat.com> - 4-1
- Add more system libraries to the script.

* Tue Apr 21 2009 Richard W.M. Jones <rjones@redhat.com> - 3-5
- Fix dependency problem with + in DLL name (Thomas Sailer).

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 3-3
- Rebuild for mingw32-gcc 4.4

* Thu Oct 16 2008 Richard W.M. Jones <rjones@redhat.com> - 3-2
- Initial RPM release.
